site_build:
  image: alpine
  stage: build
  tags:
    - site
    - local
  script:
    - git fetch && git pull origin main
    - sudo docker-compose build

site_push:
  image: alpine
  stage: push
  needs: ["site_build"]
  tags:
    - site
    - local
  script:
    - sudo docker-compose push

site_deploy:
  image: alpine
  stage: production
  needs: ["site_push"]
  tags:
    - site
    - local
  script:
    - sudo docker-compose up -d --remove-orphans
    - sudo docker exec -i resume_site_1 python3 manage.py migrate
    - echo y | sudo docker system prune -a
